import request from '@/utils/request'

// 查询APS月度班制排班列表
export function listSchedule(query) {
  return request({
    url: '/aps_workday_schedule/schedule/list',
    method: 'get',
    params: query
  })
}

// 查询APS月度班制排班详细
export function getSchedule(sequenceId) {
  return request({
    url: '/aps_workday_schedule/schedule/' + sequenceId,
    method: 'get'
  })
}

// 新增APS月度班制排班
export function addSchedule(data) {
  return request({
    url: '/aps_workday_schedule/schedule',
    method: 'post',
    data: data
  })
}

// 修改APS月度班制排班
export function updateSchedule(data) {
  return request({
    url: '/aps_workday_schedule/schedule',
    method: 'put',
    data: data
  })
}

// 删除APS月度班制排班
export function delSchedule(sequenceId) {
  return request({
    url: '/aps_workday_schedule/schedule/' + sequenceId,
    method: 'delete'
  })
}



